<template>
  <div v-loading="loading">
    <div v-if="url" class="pos-relative">
      <b-avatar :src="url" :size="size"></b-avatar>
      <b-button-text
        secondary
        small
        prefix-icon="image-upload"
        class="mt-2x bg-white upload"
        @click.prevent="triggerUpload"
        >Upload photo</b-button-text
      >
      <!-- <b-avatar :src="url" rounded :size="size"></b-avatar>
      <b-button-icon
        rounded
        name="camera"
        class="pos-absolute r-0x b-0x"
        @click.prevent="triggerUpload"
      ></b-button-icon> -->
    </div>
    <div v-else>
      <b-avatar :size="size"></b-avatar>
      <b-button-text
        secondary
        small
        prefix-icon="image-upload"
        class="mt-2x bg-white upload"
        @click.prevent="triggerUpload"
        >Upload photo</b-button-text
      >
    </div>
    <input ref="fileInput" type="file" class="d-none" @change="handleChange" />
  </div>
</template>

<script lang="ts">
import Vue from 'vue'
import CommonImageUploader from './CommonImageUploader.vue'

export default Vue.extend({
  name: 'CommonAvatarUploader',
  extends: CommonImageUploader,
  props: {
    size: {
      type: Number,
      default: 108,
    },
  },
})
</script>
<style>
.upload {
  font-size: 12px;
  color: #19acdb;
}
.upload:hover {
  color: white;
}
</style>
